Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class ErrorHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.ErrorHandler

All Implemented Interfaces:
  LifeCycle, Handler

Direct Known Subclasses:
  ErrorPageErrorHandler

    public class ErrorHandler

extends AbstractHandler

Handler for Error pages A handler that is registered at the org.mortbay.http.ErrorHandler context attributed and called by the HttpResponse.sendError method to write a error page.

Author:
  Greg Wilkins (gregw)

Field Summary

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`ErrorHandler()`

Method Summary
`void` | `handle(String target, HttpServletRequest request, HttpServletResponse response, int dispatch)` Handle a request.
`protected void` | `handleErrorPage(HttpServletRequest request, Writer writer, int code, String message)`
`boolean` | `isShowStacks()`
`void` | `setShowStacks(boolean showStacks)`
`protected void` | `writeErrorPage(HttpServletRequest request, Writer writer, int code, String message, boolean showStacks)`
`protected void` | `writeErrorPageBody(HttpServletRequest request, Writer writer, int code, String message, boolean showStacks)`
`protected void` | `writeErrorPageHead(HttpServletRequest request, Writer writer, int code, String message)`
`protected void` | `writeErrorPageMessage(HttpServletRequest request, Writer writer, int code, String message, String uri)`
`protected void` | `writeErrorPageStacks(HttpServletRequest request, Writer writer)`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, doStart, doStop, getServer, setServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Constructor Detail

### ErrorHandler

    public ErrorHandler()

Method Detail

### handle

    public void handle(String target,
                       HttpServletRequest request,
                       HttpServletResponse response,
                       int dispatch)
                throws IOException

  Description copied from interface: `Handler`
  Handle a request.

  Parameters:
    `target` - The target of the request - either a URI or a name.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
    `dispatch` - The dispatch mode: `Handler.REQUEST`, `Handler.FORWARD`, `Handler.INCLUDE`, `Handler.ERROR`
  Throws:
    `IOException`

### handleErrorPage

    protected void handleErrorPage(HttpServletRequest request,
                                   Writer writer,
                                   int code,
                                   String message)
                            throws IOException

  Throws:
    `IOException`

### writeErrorPage

    protected void writeErrorPage(HttpServletRequest request,
                                  Writer writer,
                                  int code,
                                  String message,
                                  boolean showStacks)
                           throws IOException

  Throws:
    `IOException`

### writeErrorPageHead

    protected void writeErrorPageHead(HttpServletRequest request,
                                      Writer writer,
                                      int code,
                                      String message)
                               throws IOException

  Throws:
    `IOException`

### writeErrorPageBody

    protected void writeErrorPageBody(HttpServletRequest request,
                                      Writer writer,
                                      int code,
                                      String message,
                                      boolean showStacks)
                               throws IOException

  Throws:
    `IOException`

### writeErrorPageMessage

    protected void writeErrorPageMessage(HttpServletRequest request,
                                         Writer writer,
                                         int code,
                                         String message,
                                         String uri)
                                  throws IOException

  Throws:
    `IOException`

### writeErrorPageStacks

    protected void writeErrorPageStacks(HttpServletRequest request,
                                        Writer writer)
                                 throws IOException

  Throws:
    `IOException`

### isShowStacks

    public boolean isShowStacks()

  Returns:
    True if stack traces are shown in the error pages

### setShowStacks

    public void setShowStacks(boolean showStacks)

  Parameters:
    `showStacks` - True if stack traces are shown in the error pages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.